<template>
  <div v-show="isActive">
    <div class="mainBlock">
      <div class="title">
        <slot></slot>
      </div>
    </div>
  </div>
</template>

<script>
	export default {
		name: "Tab",
		props: {
			name: {required: true},
			selected: {default: false}
		},

		data() {
			return {
				isActive: false
			};
		},

		computed: {
			href() {
				return '#' + this.name.toLowerCase().replace(/ /g, '-');
			}
		},

		mounted() {
			this.isActive = this.selected;
		}
	}
</script>

<style scoped>

</style>
